## gcl 2.6.0cvs-1

=== gmp3/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1991, 1993, 1994, 1996, 1997, 1999, 2000, 2001, 2002 Free
# Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

# Libtool -version-info for libgmp.la and libmp.la.  See (libtool)Versioning
#
# 1. No interfaces changed, only implementations (good): Increment REVISION.
#
# 2. Interfaces added, none removed (good): Increment CURRENT, increment
#    AGE, set REVISION to 0.
#
# 3. Interfaces removed (BAD, breaks upward compatibility): Increment
#    CURRENT, set AGE and REVISION to 0.
#
# Do this separately for libgmp and libmp, and only for releases.
#
#	  GMP	   -version-info
#       release   libgmp  libgmpxx libmp
#        2.0.x      -        -       -
#        3.0      3:0:0      -     3:0:0
#        3.0.1    3:1:0      -     3:0:0
#        3.1      4:0:1      -     4:0:1
#        3.1.1    4:1:1      -     4:1:1
#        4.0      5:0:2    3:0:0   4:2:1
#        4.0.1    5:1:2    3:1:0   4:3:1
#
# Starting at 3:0:0 is a slight abuse of the versioning system, but it
# ensures we're past soname libgmp.so.2, which was used on Debian GNU/Linux
# packages of gmp 2.  Pretend gmp 2 was 2:0:0, so the interface changes for
# gmp 3 mean 3:0:0 is right.

SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = .

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

LIBGMP_LT_CURRENT = 5
LIBGMP_LT_REVISION = 1
LIBGMP_LT_AGE = 2

LIBGMPXX_LT_CURRENT = 3
LIBGMPXX_LT_REVISION = 1
LIBGMPXX_LT_AGE = 0

LIBMP_LT_CURRENT = 4
LIBMP_LT_REVISION = 3
LIBMP_LT_AGE = 1

AUTOMAKE_OPTIONS = gnu no-dependencies ansi2knr

# mpfr temporarily removed from the distribution
MPFR_DIR = 
#
# # FIXME: This is a workaround for automake not allowing info_TEXINFOS to be
# # conditionalized.  We want mpfr/mpfr.info only installed under
# # --enable-mpfr, but it and the rest of mpfr always included in a "make
# # dist".
# if WANT_MPFR
# MPFR_DIR = mpfr
# else
# if MAINTAINER_MODE
# MPFR_DIR = mpfr
# endif
# endif

# "tests" ahead of "mpfr" ensures tests/t-constants is run before the
# mpfr/tests programs.
#
SUBDIRS = tests mpn mpz mpq mpf printf scanf cxx mpbsd $(MPFR_DIR) demos tune

#GMPXX_HEADERS_OPTION = gmpxx.h
##MPFRXX_HEADERS_OPTION = mpfrxx.h
include_HEADERS = $(GMPXX_HEADERS_OPTION) $(MPFRXX_HEADERS_OPTION)
nodist_include_HEADERS = gmp.h $(MPBSD_HEADERS_OPTION)
lib_LTLIBRARIES = libgmp.la $(GMPXX_LTLIBRARIES_OPTION) $(MPBSD_LTLIBRARIES_OPTION)

EXTRA_DIST = doc macos \
  configfsf.guess configfsf.sub .gdbinit INSTALL.autoconf libmp.sym \
  gmpxx.h mpfrxx.h mpfr/README


DISTCLEANFILES = $(nodist_include_HEADERS) config.m4  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h

# Generated by current texinfo.tex when processing gmp.texi.
# FIXME: Maybe this should be added to automake.
MOSTLYCLEANFILES = gmp.tmp

# Tell gmp.h it's building gmp, not an application, used by windows DLL stuff.
INCLUDES = -D__GMP_WITHIN_GMP

MPF_OBJECTS = mpf/init$U.lo mpf/init2$U.lo mpf/set$U.lo mpf/set_ui$U.lo	    \
  mpf/set_si$U.lo mpf/set_str$U.lo mpf/set_d$U.lo mpf/set_z$U.lo	    \
  mpf/iset$U.lo mpf/iset_ui$U.lo mpf/iset_si$U.lo mpf/iset_str$U.lo	    \
  mpf/iset_d$U.lo mpf/clear$U.lo mpf/get_str$U.lo mpf/dump$U.lo		    \
  mpf/size$U.lo mpf/eq$U.lo mpf/reldiff$U.lo mpf/sqrt$U.lo mpf/random2$U.lo \
  mpf/inp_str$U.lo mpf/out_str$U.lo mpf/add$U.lo mpf/add_ui$U.lo	    \
  mpf/sub$U.lo mpf/sub_ui$U.lo mpf/ui_sub$U.lo mpf/mul$U.lo mpf/mul_ui$U.lo \
  mpf/div$U.lo mpf/div_ui$U.lo						    \
  mpf/cmp$U.lo mpf/cmp_d$U.lo mpf/cmp_ui$U.lo mpf/cmp_si$U.lo		    \
  mpf/mul_2exp$U.lo mpf/div_2exp$U.lo mpf/abs$U.lo mpf/neg$U.lo		    \
  mpf/set_q$U.lo mpf/get_d$U.lo mpf/get_d_2exp$U.lo mpf/set_dfl_prec$U.lo   \
  mpf/set_prc$U.lo mpf/set_prc_raw$U.lo mpf/get_dfl_prec$U.lo               \
  mpf/get_prc$U.lo mpf/ui_div$U.lo mpf/sqrt_ui$U.lo                         \
  mpf/ceilfloor$U.lo mpf/trunc$U.lo mpf/pow_ui$U.lo			    \
  mpf/urandomb$U.lo mpf/swap$U.lo					    \
  mpf/fits_sint$U.lo mpf/fits_slong$U.lo mpf/fits_sshort$U.lo		    \
  mpf/fits_uint$U.lo mpf/fits_ulong$U.lo mpf/fits_ushort$U.lo		    \
  mpf/get_si$U.lo mpf/get_ui$U.lo					    \
  mpf/int_p$U.lo


MPZ_OBJECTS = mpz/abs$U.lo mpz/add$U.lo mpz/add_ui$U.lo			\
  mpz/aorsmul$U.lo mpz/aorsmul_i$U.lo mpz/and$U.lo mpz/array_init$U.lo	\
  mpz/bin_ui$U.lo mpz/bin_uiui$U.lo					\
  mpz/cdiv_q$U.lo mpz/cdiv_q_ui$U.lo					\
  mpz/cdiv_qr$U.lo mpz/cdiv_qr_ui$U.lo					\
  mpz/cdiv_r$U.lo mpz/cdiv_r_ui$U.lo mpz/cdiv_ui$U.lo			\
  mpz/cfdiv_q_2exp$U.lo mpz/cfdiv_r_2exp$U.lo				\
  mpz/clear$U.lo mpz/clrbit$U.lo					\
  mpz/cmp$U.lo mpz/cmp_d$U.lo mpz/cmp_si$U.lo mpz/cmp_ui$U.lo		\
  mpz/cmpabs$U.lo mpz/cmpabs_d$U.lo mpz/cmpabs_ui$U.lo			\
  mpz/com$U.lo								\
  mpz/cong$U.lo mpz/cong_2exp$U.lo mpz/cong_ui$U.lo			\
  mpz/divexact$U.lo mpz/divegcd$U.lo mpz/dive_ui$U.lo			\
  mpz/divis$U.lo mpz/divis_ui$U.lo mpz/divis_2exp$U.lo mpz/dump$U.lo	\
  mpz/fac_ui$U.lo mpz/fdiv_q$U.lo					\
  mpz/fdiv_q_ui$U.lo mpz/fdiv_qr$U.lo mpz/fdiv_qr_ui$U.lo		\

=== gmp3/cxx/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

#noinst_LTLIBRARIES = libcxx.la

# osfuns.cc is handled from the top-level Makefile.am
libcxx_la_SOURCES = \
  isfuns.cc ismpf.cc ismpq.cc ismpz.cc \
  osdoprnti.cc osmpf.cc osmpq.cc osmpz.cc

subdir = cxx
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libcxx_la_LDFLAGS =
libcxx_la_LIBADD =
am_libcxx_la_OBJECTS = isfuns.lo ismpf.lo ismpq.lo ismpz.lo osdoprnti.lo \
	osmpf.lo osmpq.lo osmpz.lo
libcxx_la_OBJECTS = $(am_libcxx_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = 
DIST_SOURCES = $(libcxx_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libcxx_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  cxx/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libcxx.la: $(libcxx_la_OBJECTS) $(libcxx_la_DEPENDENCIES) 
	$(CXXLINK)  $(libcxx_la_LDFLAGS) $(libcxx_la_OBJECTS) $(libcxx_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.cc.o:
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cc.obj:
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cc.lo:
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic mostlyclean-kr \
	mostlyclean-libtool

uninstall-am: uninstall-info-am

.PHONY: GTAGS all all-am check check-am clean clean-generic \

=== gmp3/mpf/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libmpf.la
libmpf_la_SOURCES = \
  init.c init2.c set.c set_ui.c set_si.c set_str.c set_d.c set_z.c \
  set_q.c iset.c iset_ui.c iset_si.c iset_str.c iset_d.c clear.c get_str.c \
  dump.c size.c eq.c reldiff.c sqrt.c random2.c inp_str.c out_str.c \
  add.c add_ui.c sub.c sub_ui.c ui_sub.c mul.c mul_ui.c div.c div_ui.c \
  cmp.c cmp_d.c cmp_si.c cmp_ui.c mul_2exp.c div_2exp.c abs.c neg.c get_d.c \
  get_d_2exp.c set_dfl_prec.c set_prc.c set_prc_raw.c get_dfl_prec.c get_prc.c \
  ui_div.c sqrt_ui.c \
  pow_ui.c urandomb.c swap.c get_si.c get_ui.c int_p.c \
  ceilfloor.c trunc.c \
  fits_sint.c fits_slong.c fits_sshort.c \
  fits_uint.c fits_ulong.c fits_ushort.c \
  fits_s.h fits_u.h

subdir = mpf
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libmpf_la_LDFLAGS =
libmpf_la_LIBADD =
am_libmpf_la_OBJECTS = init$U.lo init2$U.lo set$U.lo set_ui$U.lo \
	set_si$U.lo set_str$U.lo set_d$U.lo set_z$U.lo set_q$U.lo \
	iset$U.lo iset_ui$U.lo iset_si$U.lo iset_str$U.lo iset_d$U.lo \
	clear$U.lo get_str$U.lo dump$U.lo size$U.lo eq$U.lo \
	reldiff$U.lo sqrt$U.lo random2$U.lo inp_str$U.lo out_str$U.lo \
	add$U.lo add_ui$U.lo sub$U.lo sub_ui$U.lo ui_sub$U.lo mul$U.lo \
	mul_ui$U.lo div$U.lo div_ui$U.lo cmp$U.lo cmp_d$U.lo \
	cmp_si$U.lo cmp_ui$U.lo mul_2exp$U.lo div_2exp$U.lo abs$U.lo \
	neg$U.lo get_d$U.lo get_d_2exp$U.lo set_dfl_prec$U.lo \
	set_prc$U.lo set_prc_raw$U.lo get_dfl_prec$U.lo get_prc$U.lo \
	ui_div$U.lo sqrt_ui$U.lo pow_ui$U.lo urandomb$U.lo swap$U.lo \
	get_si$U.lo get_ui$U.lo int_p$U.lo ceilfloor$U.lo trunc$U.lo \
	fits_sint$U.lo fits_slong$U.lo fits_sshort$U.lo fits_uint$U.lo \
	fits_ulong$U.lo fits_ushort$U.lo
libmpf_la_OBJECTS = $(am_libmpf_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libmpf_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libmpf_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  mpf/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libmpf.la: $(libmpf_la_OBJECTS) $(libmpf_la_DEPENDENCIES) 
	$(LINK)  $(libmpf_la_LDFLAGS) $(libmpf_la_OBJECTS) $(libmpf_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
abs_.c: abs.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/abs.c; then echo $(srcdir)/abs.c; else echo abs.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > abs_.c || rm -f abs_.c
add_.c: add.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/add.c; then echo $(srcdir)/add.c; else echo add.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > add_.c || rm -f add_.c
add_ui_.c: add_ui.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/add_ui.c; then echo $(srcdir)/add_ui.c; else echo add_ui.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > add_ui_.c || rm -f add_ui_.c
ceilfloor_.c: ceilfloor.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/ceilfloor.c; then echo $(srcdir)/ceilfloor.c; else echo ceilfloor.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > ceilfloor_.c || rm -f ceilfloor_.c
clear_.c: clear.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/clear.c; then echo $(srcdir)/clear.c; else echo clear.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > clear_.c || rm -f clear_.c
cmp_.c: cmp.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp.c; then echo $(srcdir)/cmp.c; else echo cmp.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_.c || rm -f cmp_.c
cmp_d_.c: cmp_d.c $(ANSI2KNR)

=== gmp3/mpn/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.


# Copyright 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

# COMPILE minus CC.
#

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir) \
  -DOPERATION_`echo $* | sed 's/_$$//'`


OFILES =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo

# All possible mpn normal and optional function files are listed here as C
# sources for a dummy library, to get automake to generate ansi2knr rules
# for each.  Such rules will be ignored for any that are instead implemented
# with a .asm (or whatever) for a particular target.
#
EXTRA_LTLIBRARIES = libdummy.la
nodist_libdummy_la_SOURCES = \
  add.c add_1.c add_n.c addmul_1.c and_n.c andn_n.c bdivmod.c		    \
  cmp.c com_n.c copyd.c copyi.c						    \
  dc_divrem_n.c dive_1.c diveby3.c divis.c divrem.c divrem_1.c divrem_2.c   \
  dump.c fib2_ui.c gcd.c						    \
  gcd_finda.c gcd_1.c gcdext.c get_str.c hamdist.c invert_limb.c	    \
  ior_n.c iorn_n.c jacbase.c lshift.c mod_1.c mode1o.c mul.c mul_1.c	    \
  mul_fft.c mul_n.c mul_basecase.c nand_n.c nior_n.c perfsqr.c popcount.c   \
  pre_mod_1.c random.c random2.c rshift.c				    \
  sb_divrem_mn.c scan0.c scan1.c set_str.c sqr_basecase.c sqr_diagonal.c    \
  sqrtrem.c sub.c sub_1.c sub_n.c submul_1.c				    \
  tdiv_qr.c udiv_qrnnd.c udiv_w_sdiv.c xor_n.c xnor_n.c


noinst_LTLIBRARIES = libmpn.la
libmpn_la_SOURCES = mp_bases.c
libmpn_la_LIBADD = $(OFILES)
libmpn_la_DEPENDENCIES = $(OFILES)

TARG_DIST = a29k alpha arm clipper cray generic hppa i960 ia64 lisp m68k m88k \
  mips2 mips3 ns32k pa64 pa64w power powerpc32 powerpc64 pyr s390 sh sparc32 \
  sparc64 thumb vax x86 z8000 z8000x


EXTRA_DIST = Makeasm.am asm-defs.m4 cpp-ccas m4-ccas $(TARG_DIST)

COMPILE_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


# Flags used for preprocessing (in ansi2knr rules).
#
PREPROCESS_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS)


# Recent versions of automake (1.5 and up for instance) append automake
# generated suffixes to this $(SUFFIXES) list.  This is essential for us,
# since .c must come after .s, .S and .asm.  If .c is before .s, for
# instance, then in the mpn directory "make" will see add_n.c mentioned in
# an explicit rule (the ansi2knr stuff) and decide it must have add_n.c,
# even if add_n.c doesn't exist but add_n.s does.  See GNU make
# documentation "(make)Implicit Rule Search", part 5c.
#
# On IRIX 6 native make this doesn't work properly though.  Somehow .c
# remains ahead of .s, perhaps because .c.s is a builtin rule.  .asm works
# fine though, and mpn/mips3 uses this.
#
SUFFIXES = .s .S .asm

# can be overridden during development, eg. "make RM_TMP=: mul_1.lo"
RM_TMP = rm -f
subdir = mpn
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libdummy_la_LDFLAGS =
libdummy_la_LIBADD =
nodist_libdummy_la_OBJECTS = add$U.lo add_1$U.lo add_n$U.lo \
	addmul_1$U.lo and_n$U.lo andn_n$U.lo bdivmod$U.lo cmp$U.lo \
	com_n$U.lo copyd$U.lo copyi$U.lo dc_divrem_n$U.lo dive_1$U.lo \
	diveby3$U.lo divis$U.lo divrem$U.lo divrem_1$U.lo divrem_2$U.lo \
	dump$U.lo fib2_ui$U.lo gcd$U.lo gcd_finda$U.lo gcd_1$U.lo \
	gcdext$U.lo get_str$U.lo hamdist$U.lo invert_limb$U.lo \
	ior_n$U.lo iorn_n$U.lo jacbase$U.lo lshift$U.lo mod_1$U.lo \
	mode1o$U.lo mul$U.lo mul_1$U.lo mul_fft$U.lo mul_n$U.lo \
	mul_basecase$U.lo nand_n$U.lo nior_n$U.lo perfsqr$U.lo \
	popcount$U.lo pre_mod_1$U.lo random$U.lo random2$U.lo \
	rshift$U.lo sb_divrem_mn$U.lo scan0$U.lo scan1$U.lo \
	set_str$U.lo sqr_basecase$U.lo sqr_diagonal$U.lo sqrtrem$U.lo \
	sub$U.lo sub_1$U.lo sub_n$U.lo submul_1$U.lo tdiv_qr$U.lo \
	udiv_qrnnd$U.lo udiv_w_sdiv$U.lo xor_n$U.lo xnor_n$U.lo
libdummy_la_OBJECTS = $(nodist_libdummy_la_OBJECTS)
libmpn_la_LDFLAGS =
am_libmpn_la_OBJECTS = mp_bases$U.lo
libmpn_la_OBJECTS = $(am_libmpn_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS =

=== gmp3/mpq/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1996, 1998, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libmpq.la
libmpq_la_SOURCES = \
  abs.c aors.c canonicalize.c clear.c					\
  cmp.c cmp_si.c cmp_ui.c div.c equal.c					\
  get_d.c get_den.c get_num.c get_str.c					\
  init.c inp_str.c inv.c md_2exp.c mul.c neg.c out_str.c		\
  set.c set_den.c set_num.c set_si.c set_str.c set_ui.c set_z.c set_d.c	\
  set_f.c swap.c

subdir = mpq
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libmpq_la_LDFLAGS =
libmpq_la_LIBADD =
am_libmpq_la_OBJECTS = abs$U.lo aors$U.lo canonicalize$U.lo clear$U.lo \
	cmp$U.lo cmp_si$U.lo cmp_ui$U.lo div$U.lo equal$U.lo get_d$U.lo \
	get_den$U.lo get_num$U.lo get_str$U.lo init$U.lo inp_str$U.lo \
	inv$U.lo md_2exp$U.lo mul$U.lo neg$U.lo out_str$U.lo set$U.lo \
	set_den$U.lo set_num$U.lo set_si$U.lo set_str$U.lo set_ui$U.lo \
	set_z$U.lo set_d$U.lo set_f$U.lo swap$U.lo
libmpq_la_OBJECTS = $(am_libmpq_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libmpq_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libmpq_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  mpq/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libmpq.la: $(libmpq_la_OBJECTS) $(libmpq_la_DEPENDENCIES) 
	$(LINK)  $(libmpq_la_LDFLAGS) $(libmpq_la_OBJECTS) $(libmpq_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
abs_.c: abs.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/abs.c; then echo $(srcdir)/abs.c; else echo abs.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > abs_.c || rm -f abs_.c
aors_.c: aors.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/aors.c; then echo $(srcdir)/aors.c; else echo aors.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > aors_.c || rm -f aors_.c
canonicalize_.c: canonicalize.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/canonicalize.c; then echo $(srcdir)/canonicalize.c; else echo canonicalize.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > canonicalize_.c || rm -f canonicalize_.c
clear_.c: clear.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/clear.c; then echo $(srcdir)/clear.c; else echo clear.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > clear_.c || rm -f clear_.c
cmp_.c: cmp.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp.c; then echo $(srcdir)/cmp.c; else echo cmp.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_.c || rm -f cmp_.c
cmp_si_.c: cmp_si.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp_si.c; then echo $(srcdir)/cmp_si.c; else echo cmp_si.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_si_.c || rm -f cmp_si_.c
cmp_ui_.c: cmp_ui.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/cmp_ui.c; then echo $(srcdir)/cmp_ui.c; else echo cmp_ui.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > cmp_ui_.c || rm -f cmp_ui_.c
div_.c: div.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/div.c; then echo $(srcdir)/div.c; else echo div.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > div_.c || rm -f div_.c
equal_.c: equal.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/equal.c; then echo $(srcdir)/equal.c; else echo equal.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > equal_.c || rm -f equal_.c
get_d_.c: get_d.c $(ANSI2KNR)

=== gmp3/mpz/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libmpz.la
libmpz_la_SOURCES = aors.h aors_ui.h fits_s.h mul_i.h \
  add.c add_ui.c abs.c aorsmul.c aorsmul_i.c and.c array_init.c \
  bin_ui.c bin_uiui.c cdiv_q.c \
  cdiv_q_ui.c cdiv_qr.c cdiv_qr_ui.c cdiv_r.c cdiv_r_ui.c cdiv_ui.c \
  cfdiv_q_2exp.c cfdiv_r_2exp.c \
  clear.c clrbit.c \
  cmp.c cmp_d.c cmp_si.c cmp_ui.c cmpabs.c cmpabs_d.c cmpabs_ui.c \
  com.c \
  cong.c cong_2exp.c cong_ui.c \
  divexact.c divegcd.c dive_ui.c divis.c divis_ui.c divis_2exp.c \
  dump.c fac_ui.c fdiv_q.c fdiv_q_ui.c \
  fdiv_qr.c fdiv_qr_ui.c fdiv_r.c fdiv_r_ui.c fdiv_ui.c \
  fib_ui.c fib2_ui.c \
  fits_sint.c fits_slong.c fits_sshort.c \
  fits_uint.c fits_ulong.c fits_ushort.c \
  gcd.c gcd_ui.c gcdext.c get_d.c get_d_2exp.c get_si.c \
  get_str.c get_ui.c getlimbn.c hamdist.c init.c init2.c inp_raw.c inp_str.c \
  invert.c ior.c iset.c iset_d.c iset_si.c iset_str.c iset_ui.c \
  jacobi.c kronsz.c kronuz.c kronzs.c kronzu.c \
  lcm.c lcm_ui.c lucnum_ui.c lucnum2_ui.c millerrabin.c \
  mod.c mul.c mul_2exp.c mul_si.c mul_ui.c n_pow_ui.c neg.c nextprime.c \
  out_raw.c out_str.c perfpow.c perfsqr.c popcount.c pow_ui.c powm.c \
  powm_ui.c pprime_p.c \
  random.c random2.c realloc.c realloc2.c remove.c root.c rrandomb.c \
  scan0.c scan1.c set.c set_d.c set_f.c set_q.c set_si.c set_str.c \
  set_ui.c setbit.c size.c sizeinbase.c sqrt.c sqrtrem.c sub.c sub_ui.c \
  swap.c tdiv_ui.c tdiv_q.c tdiv_q_2exp.c tdiv_q_ui.c tdiv_qr.c \
  tdiv_qr_ui.c tdiv_r.c tdiv_r_2exp.c tdiv_r_ui.c tstbit.c ui_pow_ui.c \
  urandomb.c urandomm.c xor.c

subdir = mpz
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libmpz_la_LDFLAGS =
libmpz_la_LIBADD =
am_libmpz_la_OBJECTS = add$U.lo add_ui$U.lo abs$U.lo aorsmul$U.lo \
	aorsmul_i$U.lo and$U.lo array_init$U.lo bin_ui$U.lo \
	bin_uiui$U.lo cdiv_q$U.lo cdiv_q_ui$U.lo cdiv_qr$U.lo \
	cdiv_qr_ui$U.lo cdiv_r$U.lo cdiv_r_ui$U.lo cdiv_ui$U.lo \
	cfdiv_q_2exp$U.lo cfdiv_r_2exp$U.lo clear$U.lo clrbit$U.lo \
	cmp$U.lo cmp_d$U.lo cmp_si$U.lo cmp_ui$U.lo cmpabs$U.lo \
	cmpabs_d$U.lo cmpabs_ui$U.lo com$U.lo cong$U.lo cong_2exp$U.lo \
	cong_ui$U.lo divexact$U.lo divegcd$U.lo dive_ui$U.lo divis$U.lo \
	divis_ui$U.lo divis_2exp$U.lo dump$U.lo fac_ui$U.lo fdiv_q$U.lo \
	fdiv_q_ui$U.lo fdiv_qr$U.lo fdiv_qr_ui$U.lo fdiv_r$U.lo \
	fdiv_r_ui$U.lo fdiv_ui$U.lo fib_ui$U.lo fib2_ui$U.lo \
	fits_sint$U.lo fits_slong$U.lo fits_sshort$U.lo fits_uint$U.lo \
	fits_ulong$U.lo fits_ushort$U.lo gcd$U.lo gcd_ui$U.lo \
	gcdext$U.lo get_d$U.lo get_d_2exp$U.lo get_si$U.lo get_str$U.lo \
	get_ui$U.lo getlimbn$U.lo hamdist$U.lo init$U.lo init2$U.lo \
	inp_raw$U.lo inp_str$U.lo invert$U.lo ior$U.lo iset$U.lo \
	iset_d$U.lo iset_si$U.lo iset_str$U.lo iset_ui$U.lo jacobi$U.lo \
	kronsz$U.lo kronuz$U.lo kronzs$U.lo kronzu$U.lo lcm$U.lo \
	lcm_ui$U.lo lucnum_ui$U.lo lucnum2_ui$U.lo millerrabin$U.lo \
	mod$U.lo mul$U.lo mul_2exp$U.lo mul_si$U.lo mul_ui$U.lo \
	n_pow_ui$U.lo neg$U.lo nextprime$U.lo out_raw$U.lo out_str$U.lo \
	perfpow$U.lo perfsqr$U.lo popcount$U.lo pow_ui$U.lo powm$U.lo \
	powm_ui$U.lo pprime_p$U.lo random$U.lo random2$U.lo \
	realloc$U.lo realloc2$U.lo remove$U.lo root$U.lo rrandomb$U.lo \
	scan0$U.lo scan1$U.lo set$U.lo set_d$U.lo set_f$U.lo set_q$U.lo \
	set_si$U.lo set_str$U.lo set_ui$U.lo setbit$U.lo size$U.lo \
	sizeinbase$U.lo sqrt$U.lo sqrtrem$U.lo sub$U.lo sub_ui$U.lo \
	swap$U.lo tdiv_ui$U.lo tdiv_q$U.lo tdiv_q_2exp$U.lo \
	tdiv_q_ui$U.lo tdiv_qr$U.lo tdiv_qr_ui$U.lo tdiv_r$U.lo \
	tdiv_r_2exp$U.lo tdiv_r_ui$U.lo tstbit$U.lo ui_pow_ui$U.lo \
	urandomb$U.lo urandomm$U.lo xor$U.lo
libmpz_la_OBJECTS = $(am_libmpz_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libmpz_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libmpz_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  mpz/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libmpz.la: $(libmpz_la_OBJECTS) $(libmpz_la_DEPENDENCIES) 
	$(LINK)  $(libmpz_la_LDFLAGS) $(libmpz_la_OBJECTS) $(libmpz_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

=== gmp3/printf/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001, 2002 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libprintf.la
EXTRA_LTLIBRARIES = libdummy.la

libprintf_la_SOURCES = \
  asprintf.c asprntffuns.c doprnt.c doprntf.c doprnti.c			 \
  fprintf.c obprintf.c obvprintf.c obprntffuns.c			 \
  printf.c printffuns.c snprintf.c snprntffuns.c sprintf.c sprintffuns.c \
  vasprintf.c vfprintf.c vprintf.c vsnprintf.c vsprintf.c

libprintf_la_LIBADD = 
libprintf_la_DEPENDENCIES = $(libprintf_la_LIBADD)

# Ensure there's an ansi2knr rule for this, if it's needed.
libdummy_la_SOURCES = repl-vsnprintf.c
subdir = printf
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libdummy_la_LDFLAGS =
libdummy_la_LIBADD =
am_libdummy_la_OBJECTS = repl-vsnprintf$U.lo
libdummy_la_OBJECTS = $(am_libdummy_la_OBJECTS)
libprintf_la_LDFLAGS =
am_libprintf_la_OBJECTS = asprintf$U.lo asprntffuns$U.lo doprnt$U.lo \
	doprntf$U.lo doprnti$U.lo fprintf$U.lo obprintf$U.lo \
	obvprintf$U.lo obprntffuns$U.lo printf$U.lo printffuns$U.lo \
	snprintf$U.lo snprntffuns$U.lo sprintf$U.lo sprintffuns$U.lo \
	vasprintf$U.lo vfprintf$U.lo vprintf$U.lo vsnprintf$U.lo \
	vsprintf$U.lo
libprintf_la_OBJECTS = $(am_libprintf_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libdummy_la_SOURCES) $(libprintf_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libdummy_la_SOURCES) $(libprintf_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  printf/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libdummy.la: $(libdummy_la_OBJECTS) $(libdummy_la_DEPENDENCIES) 
	$(LINK)  $(libdummy_la_LDFLAGS) $(libdummy_la_OBJECTS) $(libdummy_la_LIBADD) $(LIBS)
libprintf.la: $(libprintf_la_OBJECTS) $(libprintf_la_DEPENDENCIES) 
	$(LINK)  $(libprintf_la_LDFLAGS) $(libprintf_la_OBJECTS) $(libprintf_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
asprintf_.c: asprintf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/asprintf.c; then echo $(srcdir)/asprintf.c; else echo asprintf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > asprintf_.c || rm -f asprintf_.c
asprntffuns_.c: asprntffuns.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/asprntffuns.c; then echo $(srcdir)/asprntffuns.c; else echo asprntffuns.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > asprntffuns_.c || rm -f asprntffuns_.c
doprnt_.c: doprnt.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/doprnt.c; then echo $(srcdir)/doprnt.c; else echo doprnt.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > doprnt_.c || rm -f doprnt_.c
doprntf_.c: doprntf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/doprntf.c; then echo $(srcdir)/doprntf.c; else echo doprntf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > doprntf_.c || rm -f doprntf_.c
doprnti_.c: doprnti.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/doprnti.c; then echo $(srcdir)/doprnti.c; else echo doprnti.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > doprnti_.c || rm -f doprnti_.c
fprintf_.c: fprintf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/fprintf.c; then echo $(srcdir)/fprintf.c; else echo fprintf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > fprintf_.c || rm -f fprintf_.c
obprintf_.c: obprintf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/obprintf.c; then echo $(srcdir)/obprintf.c; else echo obprintf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > obprintf_.c || rm -f obprintf_.c
obprntffuns_.c: obprntffuns.c $(ANSI2KNR)

=== gmp3/scanf/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -D__GMP_WITHIN_GMP -I$(top_srcdir)

noinst_LTLIBRARIES = libscanf.la

libscanf_la_SOURCES = \
  doscan.c fscanf.c fscanffuns.c scanf.c sscanf.c sscanffuns.c \
  vfscanf.c vscanf.c vsscanf.c

subdir = scanf
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libscanf_la_LDFLAGS =
libscanf_la_LIBADD =
am_libscanf_la_OBJECTS = doscan$U.lo fscanf$U.lo fscanffuns$U.lo \
	scanf$U.lo sscanf$U.lo sscanffuns$U.lo vfscanf$U.lo vscanf$U.lo \
	vsscanf$U.lo
libscanf_la_OBJECTS = $(am_libscanf_la_OBJECTS)

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libscanf_la_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(libscanf_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  scanf/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
libscanf.la: $(libscanf_la_OBJECTS) $(libscanf_la_DEPENDENCIES) 
	$(LINK)  $(libscanf_la_LDFLAGS) $(libscanf_la_OBJECTS) $(libscanf_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
doscan_.c: doscan.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/doscan.c; then echo $(srcdir)/doscan.c; else echo doscan.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > doscan_.c || rm -f doscan_.c
fscanf_.c: fscanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/fscanf.c; then echo $(srcdir)/fscanf.c; else echo fscanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > fscanf_.c || rm -f fscanf_.c
fscanffuns_.c: fscanffuns.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/fscanffuns.c; then echo $(srcdir)/fscanffuns.c; else echo fscanffuns.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > fscanffuns_.c || rm -f fscanffuns_.c
scanf_.c: scanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/scanf.c; then echo $(srcdir)/scanf.c; else echo scanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > scanf_.c || rm -f scanf_.c
sscanf_.c: sscanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/sscanf.c; then echo $(srcdir)/sscanf.c; else echo sscanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > sscanf_.c || rm -f sscanf_.c
sscanffuns_.c: sscanffuns.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/sscanffuns.c; then echo $(srcdir)/sscanffuns.c; else echo sscanffuns.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > sscanffuns_.c || rm -f sscanffuns_.c
vfscanf_.c: vfscanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vfscanf.c; then echo $(srcdir)/vfscanf.c; else echo vfscanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > vfscanf_.c || rm -f vfscanf_.c
vscanf_.c: vscanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vscanf.c; then echo $(srcdir)/vscanf.c; else echo vscanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > vscanf_.c || rm -f vscanf_.c
vsscanf_.c: vsscanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vsscanf.c; then echo $(srcdir)/vsscanf.c; else echo vsscanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > vsscanf_.c || rm -f vsscanf_.c
doscan_.$(OBJEXT) doscan_.lo fscanf_.$(OBJEXT) fscanf_.lo \
fscanffuns_.$(OBJEXT) fscanffuns_.lo scanf_.$(OBJEXT) scanf_.lo \
sscanf_.$(OBJEXT) sscanf_.lo sscanffuns_.$(OBJEXT) sscanffuns_.lo \
vfscanf_.$(OBJEXT) vfscanf_.lo vscanf_.$(OBJEXT) vscanf_.lo \
vsscanf_.$(OBJEXT) vsscanf_.lo : $(ANSI2KNR)
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== gmp3/tests/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.


# Copyright 1996, 1998, 1999, 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

# COMPILE minus CC.
#

SHELL = /bin/sh

srcdir = .
top_srcdir = ..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr
SUBDIRS = . devel mpn mpz mpq mpf rand misc cxx mpbsd

COMPILE_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)


# Flags used for preprocessing (in ansi2knr rules).
#
PREPROCESS_FLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS)


# Recent versions of automake (1.5 and up for instance) append automake
# generated suffixes to this $(SUFFIXES) list.  This is essential for us,
# since .c must come after .s, .S and .asm.  If .c is before .s, for
# instance, then in the mpn directory "make" will see add_n.c mentioned in
# an explicit rule (the ansi2knr stuff) and decide it must have add_n.c,
# even if add_n.c doesn't exist but add_n.s does.  See GNU make
# documentation "(make)Implicit Rule Search", part 5c.
#
# On IRIX 6 native make this doesn't work properly though.  Somehow .c
# remains ahead of .s, perhaps because .c.s is a builtin rule.  .asm works
# fine though, and mpn/mips3 uses this.
#
SUFFIXES = .s .S .asm

# can be overridden during development, eg. "make RM_TMP=: mul_1.lo"
RM_TMP = rm -f

INCLUDES = -I$(top_srcdir)
LDADD = libtests.la $(top_builddir)/libgmp.la

EXTRA_DIST = x86call.asm
EXTRA_LTLIBRARIES = libdummy.la
check_LTLIBRARIES = libtests.la

libtests_la_SOURCES = tests.h \
  memory.c misc.c refmpf.c refmpn.c refmpq.c refmpz.c spinner.c trace.c

libtests_la_DEPENDENCIES = x86call.lo x86check$U.lo
libtests_la_LIBADD = $(libtests_la_DEPENDENCIES) $(top_builddir)/libgmp.la

# Create ansi2knr rules for sources conditionally used
libdummy_la_SOURCES = x86check.c

check_PROGRAMS = t-constants t-count_zeros t-gmpmax t-modlinv
TESTS = $(check_PROGRAMS)
subdir = tests
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
libdummy_la_LDFLAGS =
libdummy_la_LIBADD =
am_libdummy_la_OBJECTS = x86check$U.lo
libdummy_la_OBJECTS = $(am_libdummy_la_OBJECTS)
libtests_la_LDFLAGS =
am_libtests_la_OBJECTS = memory$U.lo misc$U.lo refmpf$U.lo refmpn$U.lo \
	refmpq$U.lo refmpz$U.lo spinner$U.lo trace$U.lo
libtests_la_OBJECTS = $(am_libtests_la_OBJECTS)
check_PROGRAMS = t-constants$(EXEEXT) t-count_zeros$(EXEEXT) \
	t-gmpmax$(EXEEXT) t-modlinv$(EXEEXT)
t_constants_SOURCES = t-constants.c
t_constants_OBJECTS = t-constants$U.$(OBJEXT)
t_constants_LDADD = $(LDADD)
t_constants_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
t_constants_LDFLAGS =
t_count_zeros_SOURCES = t-count_zeros.c
t_count_zeros_OBJECTS = t-count_zeros$U.$(OBJEXT)
t_count_zeros_LDADD = $(LDADD)
t_count_zeros_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
t_count_zeros_LDFLAGS =
t_gmpmax_SOURCES = t-gmpmax.c
t_gmpmax_OBJECTS = t-gmpmax$U.$(OBJEXT)
t_gmpmax_LDADD = $(LDADD)
t_gmpmax_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
t_gmpmax_LDFLAGS =
t_modlinv_SOURCES = t-modlinv.c
t_modlinv_OBJECTS = t-modlinv$U.$(OBJEXT)
t_modlinv_LDADD = $(LDADD)
t_modlinv_DEPENDENCIES = libtests.la $(top_builddir)/libgmp.la
t_modlinv_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = $(libdummy_la_SOURCES) $(libtests_la_SOURCES) \
	t-constants.c t-count_zeros.c t-gmpmax.c t-modlinv.c

RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
	uninstall-info-recursive all-recursive install-data-recursive \
	install-exec-recursive installdirs-recursive install-recursive \
	uninstall-recursive check-recursive installcheck-recursive
DIST_COMMON = Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(libdummy_la_SOURCES) $(libtests_la_SOURCES) t-constants.c t-count_zeros.c t-gmpmax.c t-modlinv.c

all: all-recursive

.SUFFIXES:
.SUFFIXES: .s .S .asm .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am $(srcdir)/../mpn/Makeasm.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile

=== gmp3/tests/cxx/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ../..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/tests
LDADD = $(top_builddir)/tests/libtests.la \
  $(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la


#check_PROGRAMS = t-headers t-ostream t-locale t-constr t-expr
#TESTS = $(check_PROGRAMS)

t_headers_SOURCES = t-headers.cc
t_constr_SOURCES = t-constr.cc
t_expr_SOURCES = t-expr.cc
t_locale_SOURCES = t-locale.cc
t_ostream_SOURCES = t-ostream.cc
subdir = tests/cxx
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
#check_PROGRAMS = t-headers$(EXEEXT) t-ostream$(EXEEXT) \
#	t-locale$(EXEEXT) t-constr$(EXEEXT) \
#	t-expr$(EXEEXT)
check_PROGRAMS =
am_t_constr_OBJECTS = t-constr.$(OBJEXT)
t_constr_OBJECTS = $(am_t_constr_OBJECTS)
t_constr_LDADD = $(LDADD)
t_constr_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
t_constr_LDFLAGS =
am_t_expr_OBJECTS = t-expr.$(OBJEXT)
t_expr_OBJECTS = $(am_t_expr_OBJECTS)
t_expr_LDADD = $(LDADD)
t_expr_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
t_expr_LDFLAGS =
am_t_headers_OBJECTS = t-headers.$(OBJEXT)
t_headers_OBJECTS = $(am_t_headers_OBJECTS)
t_headers_LDADD = $(LDADD)
t_headers_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
t_headers_LDFLAGS =
am_t_locale_OBJECTS = t-locale.$(OBJEXT)
t_locale_OBJECTS = $(am_t_locale_OBJECTS)
t_locale_LDADD = $(LDADD)
t_locale_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
t_locale_LDFLAGS =
am_t_ostream_OBJECTS = t-ostream.$(OBJEXT)
t_ostream_OBJECTS = $(am_t_ostream_OBJECTS)
t_ostream_LDADD = $(LDADD)
t_ostream_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmpxx.la $(top_builddir)/libgmp.la
t_ostream_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXFLAGS = 
DIST_SOURCES = $(t_constr_SOURCES) $(t_expr_SOURCES) \
	$(t_headers_SOURCES) $(t_locale_SOURCES) $(t_ostream_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(t_constr_SOURCES) $(t_expr_SOURCES) $(t_headers_SOURCES) $(t_locale_SOURCES) $(t_ostream_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/cxx/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
t-constr$(EXEEXT): $(t_constr_OBJECTS) $(t_constr_DEPENDENCIES) 
	@rm -f t-constr$(EXEEXT)
	$(CXXLINK) $(t_constr_LDFLAGS) $(t_constr_OBJECTS) $(t_constr_LDADD) $(LIBS)
t-expr$(EXEEXT): $(t_expr_OBJECTS) $(t_expr_DEPENDENCIES) 
	@rm -f t-expr$(EXEEXT)
	$(CXXLINK) $(t_expr_LDFLAGS) $(t_expr_OBJECTS) $(t_expr_LDADD) $(LIBS)
t-headers$(EXEEXT): $(t_headers_OBJECTS) $(t_headers_DEPENDENCIES) 
	@rm -f t-headers$(EXEEXT)
	$(CXXLINK) $(t_headers_LDFLAGS) $(t_headers_OBJECTS) $(t_headers_LDADD) $(LIBS)
t-locale$(EXEEXT): $(t_locale_OBJECTS) $(t_locale_DEPENDENCIES) 
	@rm -f t-locale$(EXEEXT)
	$(CXXLINK) $(t_locale_LDFLAGS) $(t_locale_OBJECTS) $(t_locale_LDADD) $(LIBS)
t-ostream$(EXEEXT): $(t_ostream_OBJECTS) $(t_ostream_DEPENDENCIES) 
	@rm -f t-ostream$(EXEEXT)
	$(CXXLINK) $(t_ostream_LDFLAGS) $(t_ostream_OBJECTS) $(t_ostream_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.cc.o:
	$(CXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.cc.obj:
	$(CXXCOMPILE) -c -o $@ `cygpath -w $<`

.cc.lo:
	$(LTCXXCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \

=== gmp3/tests/devel/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2000, 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ../..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/tests
LDADD = $(top_builddir)/tests/libtests.la $(top_builddir)/libgmp.la

# addsub_n addsub_n_2 not yet built since mpn_addsub_n doesn't yet exist
#
EXTRA_PROGRAMS = \
  add_n addmul_1 copy divmod_1 divrem lshift mul_1 rshift \
  sub_n submul_1 tst-addsub try


CLEANFILES = $(EXTRA_PROGRAMS)
subdir = tests/devel
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
EXTRA_PROGRAMS = add_n$(EXEEXT) addmul_1$(EXEEXT) copy$(EXEEXT) \
	divmod_1$(EXEEXT) divrem$(EXEEXT) lshift$(EXEEXT) \
	mul_1$(EXEEXT) rshift$(EXEEXT) sub_n$(EXEEXT) submul_1$(EXEEXT) \
	tst-addsub$(EXEEXT) try$(EXEEXT)
add_n_SOURCES = add_n.c
add_n_OBJECTS = add_n$U.$(OBJEXT)
add_n_LDADD = $(LDADD)
add_n_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
add_n_LDFLAGS =
addmul_1_SOURCES = addmul_1.c
addmul_1_OBJECTS = addmul_1$U.$(OBJEXT)
addmul_1_LDADD = $(LDADD)
addmul_1_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
addmul_1_LDFLAGS =
copy_SOURCES = copy.c
copy_OBJECTS = copy$U.$(OBJEXT)
copy_LDADD = $(LDADD)
copy_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
copy_LDFLAGS =
divmod_1_SOURCES = divmod_1.c
divmod_1_OBJECTS = divmod_1$U.$(OBJEXT)
divmod_1_LDADD = $(LDADD)
divmod_1_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
divmod_1_LDFLAGS =
divrem_SOURCES = divrem.c
divrem_OBJECTS = divrem$U.$(OBJEXT)
divrem_LDADD = $(LDADD)
divrem_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
divrem_LDFLAGS =
lshift_SOURCES = lshift.c
lshift_OBJECTS = lshift$U.$(OBJEXT)
lshift_LDADD = $(LDADD)
lshift_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
lshift_LDFLAGS =
mul_1_SOURCES = mul_1.c
mul_1_OBJECTS = mul_1$U.$(OBJEXT)
mul_1_LDADD = $(LDADD)
mul_1_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
mul_1_LDFLAGS =
rshift_SOURCES = rshift.c
rshift_OBJECTS = rshift$U.$(OBJEXT)
rshift_LDADD = $(LDADD)
rshift_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
rshift_LDFLAGS =
sub_n_SOURCES = sub_n.c
sub_n_OBJECTS = sub_n$U.$(OBJEXT)
sub_n_LDADD = $(LDADD)
sub_n_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
sub_n_LDFLAGS =
submul_1_SOURCES = submul_1.c
submul_1_OBJECTS = submul_1$U.$(OBJEXT)
submul_1_LDADD = $(LDADD)
submul_1_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
submul_1_LDFLAGS =
try_SOURCES = try.c
try_OBJECTS = try$U.$(OBJEXT)
try_LDADD = $(LDADD)
try_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
try_LDFLAGS =
tst_addsub_SOURCES = tst-addsub.c
tst_addsub_OBJECTS = tst-addsub$U.$(OBJEXT)
tst_addsub_LDADD = $(LDADD)
tst_addsub_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
tst_addsub_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = add_n.c addmul_1.c copy.c divmod_1.c divrem.c lshift.c \
	mul_1.c rshift.c sub_n.c submul_1.c try.c tst-addsub.c
DIST_COMMON = README Makefile.am Makefile.in
SOURCES = add_n.c addmul_1.c copy.c divmod_1.c divrem.c lshift.c mul_1.c rshift.c sub_n.c submul_1.c try.c tst-addsub.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/devel/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
add_n$(EXEEXT): $(add_n_OBJECTS) $(add_n_DEPENDENCIES) 
	@rm -f add_n$(EXEEXT)
	$(LINK) $(add_n_LDFLAGS) $(add_n_OBJECTS) $(add_n_LDADD) $(LIBS)
addmul_1$(EXEEXT): $(addmul_1_OBJECTS) $(addmul_1_DEPENDENCIES) 
	@rm -f addmul_1$(EXEEXT)
	$(LINK) $(addmul_1_LDFLAGS) $(addmul_1_OBJECTS) $(addmul_1_LDADD) $(LIBS)
copy$(EXEEXT): $(copy_OBJECTS) $(copy_DEPENDENCIES) 
	@rm -f copy$(EXEEXT)
	$(LINK) $(copy_LDFLAGS) $(copy_OBJECTS) $(copy_LDADD) $(LIBS)
divmod_1$(EXEEXT): $(divmod_1_OBJECTS) $(divmod_1_DEPENDENCIES) 
	@rm -f divmod_1$(EXEEXT)
	$(LINK) $(divmod_1_LDFLAGS) $(divmod_1_OBJECTS) $(divmod_1_LDADD) $(LIBS)
divrem$(EXEEXT): $(divrem_OBJECTS) $(divrem_DEPENDENCIES) 
	@rm -f divrem$(EXEEXT)
	$(LINK) $(divrem_LDFLAGS) $(divrem_OBJECTS) $(divrem_LDADD) $(LIBS)
lshift$(EXEEXT): $(lshift_OBJECTS) $(lshift_DEPENDENCIES) 
	@rm -f lshift$(EXEEXT)
	$(LINK) $(lshift_LDFLAGS) $(lshift_OBJECTS) $(lshift_LDADD) $(LIBS)
mul_1$(EXEEXT): $(mul_1_OBJECTS) $(mul_1_DEPENDENCIES) 
	@rm -f mul_1$(EXEEXT)
	$(LINK) $(mul_1_LDFLAGS) $(mul_1_OBJECTS) $(mul_1_LDADD) $(LIBS)

=== gmp3/tests/misc/Makefile ===
# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2001 Free Software Foundation, Inc.
#
# This file is part of the GNU MP Library.
#
# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or (at your
# option) any later version.
#
# The GNU MP Library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
# License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with the GNU MP Library; see the file COPYING.LIB.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
# MA 02111-1307, USA.

SHELL = /bin/sh

srcdir = .
top_srcdir = ../..

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gmp
pkglibdir = $(libdir)/gmp
pkgincludedir = $(includedir)/gmp
top_builddir = ../..

ACLOCAL = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run aclocal
AUTOCONF = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoconf
AUTOMAKE = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run automake
AUTOHEADER = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,x,x,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AMTAR = ${SHELL} /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/missing --run tar
AR = ar
AS = as
AWK = mawk
CALLING_CONVENTIONS_OBJS = x86call.lo x86check$U.lo
CC = gcc
CCAS = gcc -c
CPP = gcc -E
CXX = 
CXXCPP = 
DEFN_LONG_LONG_LIMB = /* #undef _LONG_LONG_LIMB */
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
EXEEXT = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GMP_LDFLAGS = 
HAVE_MPFR = 0
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBM = -lm
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
M4 = m4
MAINT = #
OBJDUMP = objdump
OBJEXT = o
PACKAGE = gmp
RANLIB = ranlib
RC = @RC@
REPL_VSNPRINTF_OBJ = 
REPL_VSNPRINTF_PRINTF_OBJ = 
SPEED_CYCLECOUNTER_OBJ = pentium.lo
STRIP = strip
TAL_OBJECT = 
TUNE_SQR_OBJ = sqr_asm.o
U = 
VERSION = 4.0.1
__GMP_BITS_PER_MP_LIMB = 32
__GMP_HAVE_HOST_CPU_FAMILY_power = 0
__GMP_HAVE_HOST_CPU_FAMILY_powerpc = 0
__GMP_LIBGMP_SHARED = 1
__GMP_LIBGMP_STATIC = 1
am__include = include
am__quote = 
gmp_srclinks =  mpn/udiv.asm mpn/umul.asm mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.asm mpn/rshift.asm mpn/dive_1.asm mpn/diveby3.asm mpn/divis.c mpn/divrem.c mpn/divrem_1.asm mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.asm mpn/mod_34lsub1.asm mpn/mode1o.asm mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.asm mpn/sqr_basecase.asm mpn/random.c mpn/random2.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/copyi.asm mpn/copyd.asm gmp-mparam.h
install_sh = /fix/t1/camm/gcl-2.6.0cvs-1/gmp3/install-sh
mpn_objects =  udiv.lo umul.lo add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift.lo rshift.lo dive_1.lo diveby3.lo divis$U.lo divrem$U.lo divrem_1.lo divrem_2$U.lo fib2_ui$U.lo mod_1.lo mod_34lsub1.lo mode1o.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase.lo sqr_basecase.lo random$U.lo random2$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo copyi.lo copyd.lo
mpn_objs_in_libgmp = mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/random$U.lo mpn/random2$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo
mpn_objs_in_libmp =  mpn/mp_bases.lo mpn/udiv.lo mpn/umul.lo mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift.lo mpn/rshift.lo mpn/dive_1.lo mpn/diveby3.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1.lo mpn/mod_34lsub1.lo mpn/mode1o.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase.lo mpn/sqr_basecase.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/copyi.lo mpn/copyd.lo

AUTOMAKE_OPTIONS = gnu no-dependencies $(top_builddir)/ansi2knr

INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/tests
LDADD = $(top_builddir)/tests/libtests.la $(top_builddir)/libgmp.la

check_PROGRAMS = t-printf t-scanf t-locale
TESTS = $(check_PROGRAMS)

# t-printf.tmp is used by t-printf.c, removed automatically if the tests pass
CLEANFILES = t-printf.tmp
subdir = tests/misc
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
check_PROGRAMS = t-printf$(EXEEXT) t-scanf$(EXEEXT) t-locale$(EXEEXT)
t_locale_SOURCES = t-locale.c
t_locale_OBJECTS = t-locale$U.$(OBJEXT)
t_locale_LDADD = $(LDADD)
t_locale_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
t_locale_LDFLAGS =
t_printf_SOURCES = t-printf.c
t_printf_OBJECTS = t-printf$U.$(OBJEXT)
t_printf_LDADD = $(LDADD)
t_printf_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
t_printf_LDFLAGS =
t_scanf_SOURCES = t-scanf.c
t_scanf_OBJECTS = t-scanf$U.$(OBJEXT)
t_scanf_LDADD = $(LDADD)
t_scanf_DEPENDENCIES = $(top_builddir)/tests/libtests.la \
	$(top_builddir)/libgmp.la
t_scanf_LDFLAGS =

DEFS = -DHAVE_CONFIG_H
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = 
LDFLAGS = 
LIBS = 
depcomp =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CFLAGS = -g -O2 -fomit-frame-pointer -mcpu=pentiumpro -march=i486
DIST_SOURCES = t-locale.c t-printf.c t-scanf.c
DIST_COMMON = Makefile.am Makefile.in
SOURCES = t-locale.c t-printf.c t-scanf.c

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/misc/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
t-locale$(EXEEXT): $(t_locale_OBJECTS) $(t_locale_DEPENDENCIES) 
	@rm -f t-locale$(EXEEXT)
	$(LINK) $(t_locale_LDFLAGS) $(t_locale_OBJECTS) $(t_locale_LDADD) $(LIBS)
t-printf$(EXEEXT): $(t_printf_OBJECTS) $(t_printf_DEPENDENCIES) 
	@rm -f t-printf$(EXEEXT)
	$(LINK) $(t_printf_LDFLAGS) $(t_printf_OBJECTS) $(t_printf_LDADD) $(LIBS)
t-scanf$(EXEEXT): $(t_scanf_OBJECTS) $(t_scanf_DEPENDENCIES) 
	@rm -f t-scanf$(EXEEXT)
	$(LINK) $(t_scanf_LDFLAGS) $(t_scanf_OBJECTS) $(t_scanf_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

ANSI2KNR = $(top_builddir)/ansi2knr
$(top_builddir)/ansi2knr:
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) ansi2knr

mostlyclean-kr:
	-test "$U" = "" || rm -f *_.c

.c.o:
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<
t-locale_.c: t-locale.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/t-locale.c; then echo $(srcdir)/t-locale.c; else echo t-locale.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > t-locale_.c || rm -f t-locale_.c
t-printf_.c: t-printf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/t-printf.c; then echo $(srcdir)/t-printf.c; else echo t-printf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > t-printf_.c || rm -f t-printf_.c
t-scanf_.c: t-scanf.c $(ANSI2KNR)
	$(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/t-scanf.c; then echo $(srcdir)/t-scanf.c; else echo t-scanf.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > t-scanf_.c || rm -f t-scanf_.c
t-locale_.$(OBJEXT) t-locale_.lo t-printf_.$(OBJEXT) t-printf_.lo \
t-scanf_.$(OBJEXT) t-scanf_.lo : $(ANSI2KNR)
uninstall-info-am:

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \

=== debian/changelog ===
gcl (2.6.0cvs-1) experimental; urgency=low

  * Experimental Debian distribution for CVS snapshots
  * Type-punning warning fixes
  * small_fixnum overflow fixes
  * off by one fix in cerror
  * reader enhancement to handle foo:(a b c)
  * preliminary defgeneric method support
  * Fix compiler error which had not recognized defpackage as a package
    operation
  * Fix tkl.lisp call to open-named-socket

 -- Camm Maguire <camm@enhanced.com>  Tue, 15 Jul 2003 13:41:33 -0400

gcl (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Restore object_to_float and object_to_double, cmpaux.c, Closes: #195470.
  * Remove obsolete functiion multiply-bignum-stack from documentation,
    si-defs.texi
  * Unstatic object_to_float, object_to_double

 -- Camm Maguire <camm@enhanced.com>  Tue, 15 Jul 2003 13:37:08 -0400

gcl (2.5.2-1) unstable; urgency=low

  * New upstream release
  * Cleanup xdrfuns.c for Axiom
  * Reenable xgcl build

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Mar 2003 09:15:54 -0500

gcl (2.5.1-1) unstable; urgency=high

  * some optimization now on hppa
  * Add RELEASE-2.5.1 file
  * Add dedication notice to the memory of W. Schelter

 -- Camm Maguire <camm@enhanced.com>  Sun,  2 Mar 2003 10:20:26 -0500

gcl (2.5.0.cvs20020625-80) unstable; urgency=low

  * enable japi configure flag, defaults to no
  * enable -mlongcall on ppc when using gcc 3.3 or higher
  * int -> fixnum in DEFUN function arguments for safety -- ensures
    pointers and integers passed by lisp are of same size
  * MYmake_fixnum macro simplification
  * ufixnum typedef
  * Prototypes for cmod et.al. -- restoring maxima build on ia64
  * Fix unaligned access message on ia64 generated by DFLT_aet_fix
  * Integer va_arg uses fixnum
  * Define __*i3 symbols used by GCL, supplied by libc, and written into
    some GCL compiled objects, restores ARM build with ANSI image
  * num_log.c miscompilation on ia64 apparently fixed, Closes: #156291
  * Ensure cmpinclude.h up to date in main makefile

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Mar 2003 17:33:29 -0500

gcl (2.5.0.cvs20020625-79) unstable; urgency=low

  * Fix Debian package install bug

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 23:17:55 -0500

gcl (2.5.0.cvs20020625-78) unstable; urgency=low

  * Add config.log config.status and config.cache to clean target
  * Remove xgcl-2/debian directory
  * Update clcs/sys-proclaim.lisp

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 18:48:38 -0500

gcl (2.5.0.cvs20020625-77) unstable; urgency=low

  * Lintian cleanups
  * Don't strip libansi_gcl.a, need .data at end of .o, as with libgcl.a
  * Take newlines out of doc string for init-cmp-anon
  * Cleanup gcc-3.2 compiler warning
  * 64 bit STREF fixes
  * pcl and clcs need to have C rebuilt afresh, as 64 bit machines write
    different STREF offsets into the C files
  * Rework Debian package build a bit
  * README.Debian explaining the toggling of the ANSI image
  * Typo in debian/rules
  * Remove debian/gcl.conffiles

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 15:56:11 -0500

gcl (2.5.0.cvs20020625-76) unstable; urgency=low

  * Debian Priority is optional
  * Configure lowest common denominator on m68k to m68020 -- gcc-3.2
    can't handle m68000 -- no __mulsi3
  * Fix bit array bug
  * Add upgraded-array-element-type
  * Misc typep and subtypep fixes
  * Proper error handling in certain array.c functions
  * First needs exactly one arg
  * Proper error handlin in LAST
  * bit array allocation fixes in num_log.c
  * eliminate Iapply_fun_n1
  * Dummy system find-class in traditional image, overwritten by pcl
    version in ANSI
  * Invalid variable is a program error, not a symbol is a type error
  * Attempt at uninterned symbol support as slot names
  * defstruct changes for ANSI conc-name handling
  * Rework ansi build to follow existing pattern for traditional image,
    enabling preliminary ansi support on dlopen systems
  * Fix broken mingw probe in main makefile
  * Rename pcl and clcs files to avoid init name conflict on dlopen
    systems
  * sys-proclaim for clcs
  * Compiler goto indentation
  * Compiler pointer cast in call_or_link_closure
  * *keep-gaz* compiler variable to save anonymously generated lisp
  * si::init-cmp-anon function to initialize anonymously generated and
    compiled lisp from .text section of running executable
  * Debian/rules builds and ships both images
  * Check for small fixnum in make_fixnum macro
  * Pass real integers to array functions to minimize fixnum garbage
  * Larger SHARP_EQ_CONTEXT_SIZE in read.d
  * Shadowing-import instead of import dummy symbols into common-lisp in
    ansi_cl.lisp
  * Rework object definition in makefiles
  * Remove old gmp directory
  * Remove old tests directory
  * Reinsert JAPI configuration
  * Spruce up clean target
  * Use saved_gcl to recompile cmpnew files
  * Toggle ansi image with GCL_ANSI environment variable
  * Version 2.5.1

 -- Camm Maguire <camm@enhanced.com>  Wed, 26 Feb 2003 21:31:04 -0500

gcl (2.5.0.cvs20020625-75) unstable; urgency=low

  * Export truename for dlopen systems

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 23:31:15 -0500

gcl (2.5.0.cvs20020625-74) unstable; urgency=low

  * Remove duplicates in apropos a la clisp
  * Use static where possible, remove unused functions, decrease global
    symbol count by about 1/3 (~ 600 global functions)
  * Inline optimize cmod,cplus,ctimes and cdifference like maxima
  * eliminate make-pure-array from lfun_list.lsp, not defined
  * Prototypes for all possible compiler generated function calls
  * relative symlink for cmpinclude.h in Debian package

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 20:17:31 -0500

gcl (2.5.0.cvs20020625-73) unstable; urgency=low

  * typep fixes for class types
  * m68k Build-depend on gcc-2.95 as a temporary work around to bug
    179807
  * gcc-3.2 warning cleanups
  * bfd_boolean syntax support for newer binutils


=== debian/control ===
Source: gcl
Section: interpreters
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper ( >= 4.1.0 ), gcc-3.2 [ hppa ia64 arm ], emacsen, libreadline4-dev, m4, tk8.3-dev, tetex-bin, texinfo, binutils-dev, texi2html, autoconf, automake, gettext, libgmp3-dev, autotools-dev
Standards-Version: 3.5.8

Package: gcl
Architecture: any
Depends: ${shlibs:Depends}, ${gcc}
Suggests: gcl-doc
Description: GNU Common Lisp compiler
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains the Lisp system itself.  Documentation 
 is provided in the gcl-doc package.

Package: gcl-doc
Section: doc
Architecture: all
Conflicts: gclinfo
Replaces: gclinfo
Description: Documentation for GNU Common Lisp
 GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
 implemented in C, and complying mostly with the standard set 
 forth in the book "Common Lisp, the Language I".  It attempts
 to strike a useful middle ground in performance and portability
 from its design around C.
 .
 This package contains Documentation in info format of both the
 system internals, as well as the graphical interface currently
 implemented in Tcl/Tk.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
ARCHT:=$(shell dpkg --print-architecture)

MCC:=gcc
ifeq ($(ARCHT),arm)
MCC:=gcc-3.2
endif
ifeq ($(ARCHT),hppa)
MCC:=gcc-3.2
endif
ifeq ($(ARCHT),ia64)
MCC:=gcc-3.2
endif

#RELOC=locbfd
RELOC=statsysbfd
ifeq ($(ARCHT),alpha)
RELOC=dlopen
endif
ifeq ($(ARCHT),mips)
RELOC=dlopen
endif
ifeq ($(ARCHT),mipsel)
RELOC=dlopen
endif
ifeq ($(ARCHT),ia64)
RELOC=dlopen
endif
ifeq ($(ARCHT),hppa)
RELOC=dlopen
endif

GMP=--enable-dynsysgmp

DEBUG=
ifeq ($(ARCHT),hppa)
DEBUG=--enable-debug
endif

VERS=$(shell echo $$(cat majvers).$$(cat minvers))

configure-%-stamp:

	dh_testdir

	if [ /usr/share/misc/config.guess -nt config.guess ] ; then \
		cp /usr/share/misc/config.guess .;\
		cp /usr/share/misc/config.guess binutils;\
		cp /usr/share/misc/config.guess gmp;\
		cp /usr/share/misc/config.guess gmp3/configfsf.guess;\
	fi
	if [ /usr/share/misc/config.sub -nt config.sub ] ; then \
		cp /usr/share/misc/config.sub .;\
		cp /usr/share/misc/config.sub binutils;\
		cp /usr/share/misc/config.sub gmp;\
		cp /usr/share/misc/config.sub gmp3/configfsf.sub;\
	fi
	if [ configure.in -nt configure ]; then autoconf; fi

	chmod -R +x gmp3/*

	[ "$(ARCHT)" != "i386" ] || ( cd gmp3 && CC=$(MCC) ./configure --build=i486-unknown-linux-gnu )

	[ "$*" != "ansi" ] || ANSI="--enable-ansi" ; \
	CC=$(MCC) ./configure \
		--disable-statsysbfd \
		--enable-$(RELOC) \
		$(GMP) \
		$(DEBUG) \
		$$ANSI \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-infodir=\$${prefix}/share/info

#	[ "$(ARCHT)" != "ia64" ] || ( cd o && $(MCC) -c -Wall -DVOL=volatile -I. -fsigned-char -fwritable-strings -pipe -O -fomit-frame-pointer -I../h -I../gcl-tk num_log.c  )

	touch $@


build-%-stamp: configure-%-stamp
	dh_testdir

	$(MAKE)

	rm -rf debian/$*
	mkdir -p debian/$*
	$(MAKE) install DESTDIR=$$(pwd)/debian/$*

	mkdir -p debian/$*/usr/share/emacs/site-lisp
	cp -a $$(find debian/$*/usr/local -name site-lisp -type d) \
		debian/$*/usr/share/emacs/site-lisp/gcl
	rm -rf debian/$*/usr/local

	cat debian/$*/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp | \
		sed "s,$$(pwd)/debian/$*,,1" >debian/foo
	mv debian/foo debian/$*/usr/lib/gcl-$(VERS)/gcl-tk/demos/index.lsp

	rm -f debian/$*/usr/bin/*.exe debian/$*/usr/bin/*.bat

	mkdir -p debian/$*/usr/include && \
		cd debian/$*/usr/include && \
		ln -snf $$(find ../lib -name "cmpinclude.h" ) .

	find debian/$* -type f -name "*.lsp" -exec chmod -x {} \;
	find debian/$* -type f -name "*.lisp" -exec chmod -x {} \;
	find debian/$* -type f -name "*.el" -exec chmod -x {} \;
	find debian/$* -type f -name "*.tcl" -exec chmod -x {} \;

	touch $@

bclean-stamp:
	-$(MAKE) clean
	touch $@

ansi-tests/test_results: build-ansi-stamp
	$(MAKE) $@

build: build-stamp
build-stamp: build-trad-stamp bclean-stamp build-ansi-stamp ansi-tests/test_results
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *stamp

	-$(MAKE) clean

	dh_clean
	rm -rf debian/trad debian/ansi


BVER:=$(shell dpkg -s binutils |grep ^Version: | cut -f2 -d\  | cut -f1 -d\-)
debian/substvars:
	grep -q ^binutils: $@ 2>/dev/null || echo "binutils:Version=$(BVER)" >> $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/tmp
	cp -a debian/trad/* debian/tmp/
	cp -a debian/ansi/* debian/tmp/

	cat debian/gcl.sh | sed "s,gcl/,/usr/lib/gcl-$(VERS)/,g" >debian/tmp/usr/bin/gcl
	chmod 0755 debian/tmp/usr/bin/gcl

	dh_install

	touch $@

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installinfo -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install debian/substvars
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installemacsen -a
	dh_installmanpages -a gcl/gmp3/ansi2knr.1
	dh_installchangelogs ChangeLog -a
	dh_strip -a -Xlibgcl -Xlibansi_gcl
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -u"-Vgcc=$(MCC)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
